Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks.xFrogFileParser
Class Expr

    java.lang.Object
      de.grogra.blocks.xFrogFileParser.Expr

Direct Known Subclasses:
  Alpha, Alpha1, Attractor_Mode, AttractorGroup, AttractorGroup2, Background, Block_List, Bool, Branches, BrushConstant, Camera, Camera1, Children, Color, Cull, Cull2, Cull3, Entity, Existence, Export_GroupName, FFD, File, File1, File2, File3, FLOAT, FloatTriple, FloatTripleRow1, FloatTripleRow2, Func, Functions, GFXColor, GravitationWorld, HEX, HexRow1, HexRow2, Horn1, HornBody, HornBody1, HornBody2, HornBody3, HornBodySS, Hydra1, HyperPatch, IniScale, IniScale2, INT, KeyFrame, KeyFrameList1, KeyFrameList2, KeyName, KeySequence, KFloatTriple, Leaf1, Leaf2, LengthLen, LG_Body, Light, Lights, Lights1, Lights2, LightWorld, Model, Name2, NameBool, NameConst, NameFloat, NameFloatTriple, NameGFList, NameInt, NameKFloatTriple, NameN, NameParams, NameTFloatTriple, Params, PhiBall1, Photo, Photo_Mode, Primitive, Primitive1, Primitive2, PrimitiveBody, PrimitiveBody2, PrimitiveBody2_1, PrimitiveBody2_2, PrimitiveBody2_3, Queue, Revo1, Ribs, Segments, Shift, Simple1, SizeFloatTripleRow, Struct_Mut_Info, StructBody, StructBodySwitch, StructBodySwitch2, StructBodySwitch3, StructBodySwitch4, StructChildren, StructChildren2, StructChildrenList1, StructChildrenList2, StructNameN, Switch, Texture_File, Texture_Mode, Texture_Name, Texture1, Texture2, Texture3, Texture4, Texture5, TFloatTriple, Time1, Time2, Transform, Tree1, TreeBody, TreeBody2, Trigger, Trigger_Method, Type, TypeName, Unit, World, Wreath1

    public abstract class Expr

extends java.lang.Object

Field Summary
`protected Expr` | `a`
`protected static int` | `aktKeyFrame`
`protected static ShadedNull` | `aktPrimitive`
`protected static java.lang.String` | `aktStructName`
`protected static ChannelMap` | `aktTexture`
`protected static java.lang.String` | `aktTextureName`
`protected static Transform` | `aktTransform`
`protected static float` | `alpha`
`protected Expr` | `b`
`protected static java.util.Hashtable` | `blocks`
`protected static java.util.Hashtable` | `blocksGraphNodes`
`protected static java.util.Hashtable` | `branches`
`protected Expr` | `c`
`protected static Tuple3f` | `camera`
`protected static java.util.Hashtable` | `children`
`protected static java.lang.String` | `color`
`protected Expr` | `d`
`protected static boolean` | `debug`
`protected static boolean` | `debugS`
`protected Expr` | `e`
`protected Expr` | `f`
`protected Expr` | `g`
`protected Expr` | `h`
`protected Expr` | `i`
`protected static java.util.TreeSet` | `imports`
`protected Expr` | `j`
`protected Expr` | `k`
`protected Expr` | `l`
`protected static java.util.Hashtable` | `lightsGraphNodes`
`protected static java.util.Hashtable` | `lightsXL`
`protected Expr` | `m`
`protected Expr` | `n`
`protected Expr` | `o`
`protected static Transform` | `oldTransform`
`protected Expr` | `p`
`protected static Phong` | `phong`
`protected Expr` | `q`
`protected Expr` | `r`
`protected static Registry` | `registry`
`protected static java.util.Hashtable` | `ribs`
`protected Expr` | `s`
`protected static java.lang.String` | `sky`
`protected Expr` | `t`
`protected static java.util.TreeSet` | `textureImports`
`protected static java.util.Vector` | `textures`
`protected static java.util.TreeSet` | `trajectory`
`protected static java.util.TreeSet` | `transformMatrizen`
`protected Expr` | `u`
`protected static boolean` | `use_GFXColor`
`protected Expr` | `v`
`protected Expr` | `w`
`protected Expr` | `x`
`protected static java.io.File` | `xfrogDir`

Constructor Summary
`Expr()`

Method Summary
`static void` | `init()`
`static void` | `setSrcReg(java.io.File dir, Registry reg)`
`abstract java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### a

    protected Expr a

### aktKeyFrame

    protected static int aktKeyFrame

### aktPrimitive

    protected static ShadedNull aktPrimitive

### aktStructName

    protected static java.lang.String aktStructName

### aktTexture

    protected static ChannelMap aktTexture

### aktTextureName

    protected static java.lang.String aktTextureName

### aktTransform

    protected static Transform aktTransform

### alpha

    protected static float alpha

### b

    protected Expr b

### blocks

    protected static java.util.Hashtable blocks

### blocksGraphNodes

    protected static java.util.Hashtable blocksGraphNodes

### branches

    protected static java.util.Hashtable branches

### c

    protected Expr c

### camera

    protected static Tuple3f camera

### children

    protected static java.util.Hashtable children

### color

    protected static java.lang.String color

### d

    protected Expr d

### debug

    protected static final boolean debug

See Also:
  Constant Field Values

### debugS

    protected static final boolean debugS

See Also:
  Constant Field Values

### e

    protected Expr e

### f

    protected Expr f

### g

    protected Expr g

### h

    protected Expr h

### i

    protected Expr i

### imports

    protected static java.util.TreeSet imports

### j

    protected Expr j

### k

    protected Expr k

### l

    protected Expr l

### lightsGraphNodes

    protected static java.util.Hashtable lightsGraphNodes

### lightsXL

    protected static java.util.Hashtable lightsXL

### m

    protected Expr m

### n

    protected Expr n

### o

    protected Expr o

### oldTransform

    protected static Transform oldTransform

### p

    protected Expr p

### phong

    protected static Phong phong

### q

    protected Expr q

### r

    protected Expr r

### registry

    protected static Registry registry

### ribs

    protected static java.util.Hashtable ribs

### s

    protected Expr s

### sky

    protected static java.lang.String sky

### t

    protected Expr t

### textureImports

    protected static java.util.TreeSet textureImports

### textures

    protected static java.util.Vector textures

### trajectory

    protected static java.util.TreeSet trajectory

### transformMatrizen

    protected static java.util.TreeSet transformMatrizen

### u

    protected Expr u

### use_GFXColor

    protected static boolean use_GFXColor

### v

    protected Expr v

### w

    protected Expr w

### x

    protected Expr x

### xfrogDir

    protected static java.io.File xfrogDir

Constructor Detail

### Expr

    public Expr()

Method Detail

### init

    public static void init()

### setSrcReg

    public static void setSrcReg(java.io.File dir,
                                 Registry reg)

### toString

    public abstract java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD